/*
Copyright (C) 2018 - 2019 Taisuke Kobayashi
    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/
// page top

var pt_sk_sa = ["通常", "メモ", "前払", "経費"] // page top shuukei kubun string array
var pt_sk_sa_i = 0
var pt_va = ["", ""] // 0:kingaku, 2:memo。0:kubun1, 1:kubun2, 2:kubun3は、va_for_kubun。

function pt(){
  var s = // javascriptは、ヒアドキュメントが使えないので。
"<input readonly type=text size=21 id=jouhou value=\"" + pt_date() + "\"><br>" +
"<button onClick=pt_touroku()>登録</button>" +
"<button onClick=pe()>閲覧</button>" +
"<button onClick=psk()>計設</button>" +
"<button onClick=pm()>送削</button>" + // psl
"<button onClick=pt_clear()>初値</button><br>" +
"<button class=a onClick=pt_shuukei_kubun_henkou(0)>" + pt_sk_sa[pt_sk_sa_i] + "</button>" +
"<button onClick=pt_shuukei_kubun_henkou(1)>メ前</button>" +
"<button onClick=pt_shuukei_kubun_henkou(3)>経</button>" +
"<button onClick=pt_prev()>前日</button>" +
"<button onClick=pt_now()>今</button><br>" +
"<button onClick=pt_kingaku()>金メ</button>" +
"<span id=kingaku>" + pt_va[0] + "</span><br>" +
"<button onClick=pt_pk(0)>区1</button>" +
"<span id=kubun1>" + va_for_kubun[0] + "</span><br>" +
"<button onClick=pt_pk(1)>区2</button>" +
"<span id=kubun2>" + va_for_kubun[1] + "</span><br>" +
"<button onClick=pt_pk(2)>区3</button>" +
"<span id=kubun3>" + va_for_kubun[2] + "</span><br>" +
"<button onClick=pt_memo_dialog()>メモ</button>" +
"<span id=memo>" + pt_va[1] + "</span><br>"
  naiyou.innerHTML = s
}

function pt_date(){
  var d
  if(date_for_prev != null) d = date_for_prev
  else d = new Date()
  var s = "" + a0(d.getHours() ) + ":" + a0(d.getMinutes() ) + ":" + a0(d.getSeconds() ) + " "
  s += a0(d.getDate() ) + dayS[d.getDay()]
  return s
}

// 012345678901 234567890123456789
// 2018,12,26,水,08,57,47,935,新規,通常,金額,メモ,区分1,区分2,区分3
function pt_touroku(){ // 接頭子pt_は、page_top()から呼ばれるという意味。
  var val = pt_sk_sa[pt_sk_sa_i]
  val += kugiri + pt_va[0]
  val += kugiri + va_for_kubun[0]
  val += kugiri + va_for_kubun[1]
  val += kugiri + va_for_kubun[2]
  val += kugiri + pt_va[1]
  if(val.replace(/,/g, "") == pt_sk_sa[0]){
    alert("未入力のため、登録しませんでした。")
    return
  }                     
  data.put(val)
  pe()
}

function pt_clear(){
  pt_sk_sa_i = 0
  pt_va[0] = ""
  pt_va[1] = ""
  va_for_kubun[0] = ""
  va_for_kubun[1] = ""
  va_for_kubun[2] = ""
  date_for_prev = null
  pt()
}

// 2019,02,09,土,14,46,30,130,集計区分,金額,区分1,区分2,区分3,メモ,新規登録日時,key
function pt_from_sakujo(d){
  var a = d.split(",")
  pt_sk_sa_i = 0
  for(var i = 0; i < pt_sk_sa.length; i++)
    if(pt_sk_sa[i] == a[8])
      pt_sk_sa_i = i
  pt_va[0] = a[9]
  pt_va[1] = a[13]
  va_for_kubun[0] = a[10]
  va_for_kubun[1] = a[11]
  va_for_kubun[2] = a[12]
  var d1 = new Date(), d2 = new Date(parseInt(a[0]), parseInt(a[1]) -1, parseInt(a[2]), 23, 59, 59)
  if(d1.getTime() - d2.getTime() > 1000) 
  date_for_prev = d2
  pt()
}

function pt_shuukei_kubun_henkou(i){
  switch(i){
  case 0: pt_sk_sa_i = 0; break 
  case 1:
    if(pt_sk_sa_i == 1)
     pt_sk_sa_i = 2
    else
     pt_sk_sa_i = 1
    break 
  case 3: pt_sk_sa_i = 3; break 
  }
  pt()
}

function pt_prev(){
  if(date_for_prev == null) date_for_prev = new Date()
  date_for_prev.setTime(date_for_prev.getTime() - 24*60*60*1000)
  pt()
}

function pt_now(){
  date_for_prev = null
  pt()
}

function pt_kingaku(){
  value_for_pne = pt_va[0]
  return_func_for_pne = pt_kingaku_modoru
  pne()
}

function pt_kingaku_modoru(){
  pt_va[0] = value_for_pne
  pt()
}

function pt_pk(i){
  return_func_for_kubun = pt_ret
  pk(i)
}

function pt_ret(i){
  pt()
}

function pt_memo_dialog(){
  pt_va[1] = prompt("メモ", pt_va[1])
  if(pt_va[1] == null) pt_va[1] = ""
  pt()
}
